Package org.springframework.aot.hint.predicate

# Class ProxyHintsPredicates

java.lang.Object
org.springframework.aot.hint.predicate.ProxyHintsPredicates

public class ProxyHintsPredicates extends Object
Generator of `ProxyHints` predicates, testing whether the given hints match the expected behavior for proxies.

Since:
  6.0
Author:
  Brian Clozel

## Method Summary

Modifier and Type
Method
Description
`Predicate<RuntimeHints>`
`forInterfaces(Class<?>... interfaces)`
Return a predicate that checks whether a `JdkProxyHint` is registered for the given interfaces.
`Predicate<RuntimeHints>`
`forInterfaces(TypeReference... interfaces)`
Return a predicate that checks whether a `JdkProxyHint` is registered for the given interfaces.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### forInterfaces

public Predicate<RuntimeHints> forInterfaces(Class<?>... interfaces)
Return a predicate that checks whether a `JdkProxyHint` is registered for the given interfaces.

Note that the order in which interfaces are given matters.

Parameters:
  `interfaces` - the proxied interfaces
Returns:
  the `RuntimeHints` predicate
See Also:
  - `Proxy`

### forInterfaces

public Predicate<RuntimeHints> forInterfaces(TypeReference... interfaces)
Return a predicate that checks whether a `JdkProxyHint` is registered for the given interfaces.

Note that the order in which interfaces are given matters.

Parameters:
  `interfaces` - the proxied interfaces as type references
Returns:
  the `RuntimeHints` predicate
See Also:
  - `Proxy`